Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228008 - CVE-2007-0239 hyperlink escaping issue
Summary: CVE-2007-0239 hyperlink escaping issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard: impact=moderate,public=200601027,sour...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 14:50 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0033
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-22 10:40:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0033 normal SHIPPED_LIVE Important: openoffice.org security update 2007-03-22 10:39:45 UTC

Description Mark J. Cox 2007-02-09 14:50:37 UTC
+++ This bug was initially created as a clone of Bug #228002 +++

Some shell characters are not escaped in hyperlinks.  If a victim loads a OO
file that contains a malicious hyperlink it could run shell commands as the
victim if they click on it.  

However this issue is mitigated somewhat as you can't do whitespace and many
special characters, so you're really limited to running single existing commands
with no arguments as the unprivileged user.

        http://qa.openoffice.org/issues/show_bug.cgi?id=58013
        http://qa.openoffice.org/issues/show_bug.cgi?id=72543

Already public in the bugs, but will be announced on 20070227

Comment 1 Mark J. Cox 2007-02-09 14:51:18 UTC
also affects RHEL3

Comment 2 Caolan McNamara 2007-02-14 14:55:22 UTC
RHEL4: openoffice.org2-2.0.4-5.6.0

1.1.X's to follow

Comment 3 Caolan McNamara 2007-02-20 09:37:16 UTC
RHEL-4: openoffice.org-1.1.5-10.6.0.EL4

RHEL-3 to follow

Comment 4 Caolan McNamara 2007-02-20 13:46:15 UTC
RHEL-3: openoffice.org-1.1.2-38.2.0.EL3

Comment 8 Mark J. Cox 2007-03-22 08:02:55 UTC
well the embargo looks busted by http://lwn.net/Articles/227144/
removing our embargo

Comment 9 Red Hat Bugzilla 2007-03-22 10:40:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0033.html



Note You need to log in before you can comment on or make changes to this bug.